#====================== BEGIN GPL LICENSE BLOCK ======================
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 3
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program. If not, see <http://www.gnu.org/licenses/>.
#
#======================= END GPL LICENSE BLOCK ========================

# <pep8 compliant>

def get_active_poseBone_or_object(context):
    """Returns the active pose bone, or the active object if
    the bone is not found"""
    obj = context.active_pose_bone
    if obj is None:
        obj = context.active_object
    return obj

def get_active_node(context):
    """Returns the active node"""
    try:
        node = context.active_node
        return node
    except AttributeError:
        return None

