
import json

# correspondance table for blending modes OCA / Krita
OCABlendingModes = {}
OCABlendingModes['normal'] = 'normal'
OCABlendingModes['darken'] = 'darken'
OCABlendingModes['burn'] = 'burn'
OCABlendingModes['color'] = 'color'
OCABlendingModes['dodge'] = 'dodge'
OCABlendingModes['divide'] = 'divide'
OCABlendingModes['overlay'] = 'overlay'
OCABlendingModes['luminize'] = 'luminosity'
OCABlendingModes['soft_light_svg'] = 'soft_light'
OCABlendingModes['multiply'] = 'multiply'
OCABlendingModes['saturation'] = 'saturation'
OCABlendingModes['erase'] = 'erase'
OCABlendingModes['lighten'] = 'lighten'
OCABlendingModes['screen'] = 'screen'
OCABlendingModes['inverse_subtract'] = 'inverse_subtract'
OCABlendingModes['subtract'] = 'subtract'
OCABlendingModes['darker color'] = 'darker_color'
OCABlendingModes['easy burn'] = 'easy_burn'
OCABlendingModes['fog_darken_ifs_illusions'] = 'fog_darken'
OCABlendingModes['gamma_dark'] = 'gamma_dark'
OCABlendingModes['linear_burn'] = 'linear_burn'
OCABlendingModes['shade_ifs_illusions'] = 'shade'
OCABlendingModes['converse'] = 'converse'
OCABlendingModes['and'] = 'and'
OCABlendingModes['implication'] = 'implication'
OCABlendingModes['nand'] = 'nand'
OCABlendingModes['nor'] = 'nor'
OCABlendingModes['not_converse'] = 'not_converse'
OCABlendingModes['not_implication'] = 'not_implication'
OCABlendingModes['or'] = 'or'
OCABlendingModes['xnor'] = 'xnor'
OCABlendingModes['xor'] = 'xor'
OCABlendingModes['dissolve'] = 'dissolve'
OCABlendingModes['inc_luminosity'] = 'increase_luminosity'
OCABlendingModes['inc_saturation'] = 'increase_saturation'
OCABlendingModes['dec_luminosity'] = 'decrease_luminosity'
OCABlendingModes['dec_saturation'] = 'decrease_saturation'
OCABlendingModes['hue'] = 'hue'
OCABlendingModes['divisive_modulo'] = 'divisive_modulo'
OCABlendingModes['allanon'] = 'allanon'
OCABlendingModes['alphadarken'] = 'alpha_darken'
OCABlendingModes['destination-in'] = 'stencil_alpha'
OCABlendingModes['hard overlay'] = 'hard_overlay'
OCABlendingModes['interpolation'] = 'interpolation'
OCABlendingModes['interpolation 2x'] = 'double_interpolation'
OCABlendingModes['hard mix'] = 'hard_mix'
OCABlendingModes['hard_mix_photoshop'] = 'hard_mix_photoshop'
OCABlendingModes['parallel'] = 'parallel'
OCABlendingModes['penumbra a'] = 'penumbra_a'
OCABlendingModes['penumbra a'] = 'penumbra_b'
OCABlendingModes['penumbra a'] = 'penumbra_c'
OCABlendingModes['penumbra a'] = 'penumbra_d'
OCABlendingModes['greater'] = 'greater'
OCABlendingModes['geometric_mean'] = 'geometric_mean'
OCABlendingModes['additive_subtractive'] = 'additive_subtractive'
OCABlendingModes['diff'] = 'difference'
OCABlendingModes['exclusion'] = 'exclusion'
OCABlendingModes['negation'] = 'negation'
OCABlendingModes['arc_tangent'] = 'arc_tangent'
OCABlendingModes['equivalence'] = 'equivalence'
OCABlendingModes['freeze_reflect'] = 'freeze_reflect'
OCABlendingModes['freeze'] = 'freeze'
OCABlendingModes['glow_heat'] = 'glow_heat'
OCABlendingModes['heat'] = 'heat'
OCABlendingModes['heat_glow'] = 'heat_glow'
OCABlendingModes['heat_glow_freeze_reflect_hybrid'] = 'heat_glow_freeze_reflect'
OCABlendingModes['glow'] = 'glow'
OCABlendingModes['reflect_freeze'] = 'reflect_freeze'
OCABlendingModes['reflect'] = 'reflect'
OCABlendingModes['inc_intensity'] = 'increase_intensity'
OCABlendingModes['inc_saturation_hsi'] = 'increase_saturation_hsi'
OCABlendingModes['color_hsi'] = 'color_hsi'
OCABlendingModes['dec_intensity'] = 'decrease_intensity'
OCABlendingModes['dec_saturation_hsi'] = 'decrease_saturation_hsi'
OCABlendingModes['intensity'] = 'intensity'
OCABlendingModes['saturation_hsi'] = 'saturation_hsi'
OCABlendingModes['hue_hsi'] = 'hue_hsi'
OCABlendingModes['inc_lightness'] = 'increase_lightness'
OCABlendingModes['inc_saturation_hsl'] = 'increase_saturation_hsl'
OCABlendingModes['color_hsl'] = 'color_hsl'
OCABlendingModes['dec_lightness'] = 'decrease_lightness'
OCABlendingModes['dec_saturation_hsl'] = 'decrease_saturation_hsl'
OCABlendingModes['lightness'] = 'lightness'
OCABlendingModes['saturation_hsl'] = 'saturation_hsl'
OCABlendingModes['hue_hsl'] = 'hue_hsl'
OCABlendingModes['inc_saturation_hsv'] = 'increase_saturation_hsv'
OCABlendingModes['inc_value'] = 'increase_value'
OCABlendingModes['color_hsv'] = 'color_hsv'
OCABlendingModes['dec_saturation_hsv'] = 'decrease_saturation_hsv'
OCABlendingModes['dec_value'] = 'decrease_value'
OCABlendingModes['saturation_hsv'] = 'saturation_hsv'
OCABlendingModes['value'] = 'value'
OCABlendingModes['lighter color'] = 'lighter_color'
OCABlendingModes['easy dodge'] = 'easy_dodge'
OCABlendingModes['flat_light'] = 'flat_light'
OCABlendingModes['fog_lighten_ifs_illusions'] = 'fog_lighten'
OCABlendingModes['linear light'] = 'linear_light'
OCABlendingModes['gamma_illumination'] = 'gamma_illumination'
OCABlendingModes['luminosity_sai'] = 'luminosity_sai'
OCABlendingModes['gamma_light'] = 'gamma_light'
OCABlendingModes['soft_light'] = 'soft_light'
OCABlendingModes['hard_light'] = 'hard_light'
OCABlendingModes['pin_light'] = 'pin_light'
OCABlendingModes['vivid_light'] = 'vivid_light'
OCABlendingModes['pnorm_a'] = 'pnorm_a'
OCABlendingModes['pnorm_b'] = 'pnorm_b'
OCABlendingModes['soft_light_ifs_illusions'] = 'soft_light_ifs'
OCABlendingModes['soft_light_pegtop_delphi'] = 'soft_light_pegtop_delphi'
OCABlendingModes['super_light'] = 'super_light'
OCABlendingModes['tint_ifs_illusions'] = 'tint'
OCABlendingModes['linear_dodge'] = 'linear_dodge'

# Label Colors
OCALabels = list()
OCALabels.append([ 0.0 , 0.06 , 0.14, 1.0 ])
OCALabels.append([ 1.0 , 0.13 , 0.02, 1.0 ])
OCALabels.append([ .99 , 0.75 , 0.14, 1.0 ])
OCALabels.append([ 0.03 , 0.28 , 0.66, 1.0 ])
OCALabels.append([ 0.30 , 0.06 , 0.29, 1.0 ])
OCALabels.append([ 0.21 , 0.46 , 0.24, 1.0 ])
OCALabels.append([ 0.25 , 0.66 , 0.78, 1.0 ])
OCALabels.append([ 0.83 , 0.43 , 0.81, 1.0 ])

# Methods

def load(filepath):
    oca = {}
    with open(filepath, 'r') as ocaFile:
        oca = json.loads(ocaFile.read())
    return oca